Loading...
Searching...
No Matches
oscore.c File Reference

An implementation of the Object Security for Constrained RESTful Enviornments (RFC 8613). More...

`#include "coap3/coap_libcoap_build.h"`
Include dependency graph for oscore.c:

Go to the source code of this file.

## Functions

uint8_t * | oscore_cs_params (int8_t param, int8_t param_type, size_t *len)
uint8_t * | oscore_cs_key_params (cose_curve_t param, int8_t param_type, size_t *len)
size_t | oscore_prepare_e_aad (oscore_ctx_t *ctx, cose_encrypt0_t *cose, const uint8_t *oscore_option, size_t oscore_option_len, coap_bin_const_t *sender_public_key, uint8_t *external_aad_ptr, size_t external_aad_size)
size_t | oscore_encode_option_value (uint8_t *option_buffer, size_t option_buf_len, cose_encrypt0_t *cose, uint8_t group_flag, uint8_t appendix_b_2)
int | oscore_decode_option_value (const uint8_t *opt_value, size_t option_len, cose_encrypt0_t *cose)
size_t | oscore_prepare_aad (const uint8_t *external_aad_buffer, size_t external_aad_len, uint8_t *aad_buffer, size_t aad_size)
void | oscore_generate_nonce (cose_encrypt0_t *ptr, oscore_ctx_t *ctx, uint8_t *buffer, uint8_t size)
uint8_t | oscore_validate_sender_seq (oscore_recipient_ctx_t *ctx, cose_encrypt0_t *cose)
uint8_t | oscore_increment_sender_seq (oscore_ctx_t *ctx)
void | oscore_roll_back_seq (oscore_recipient_ctx_t *ctx)

## Detailed Description

An implementation of the Object Security for Constrained RESTful Enviornments (RFC 8613).

Author
  Martin Gunnarsson marti.nosp@m.n.gu.nosp@m.nnars.nosp@m.son@.nosp@m.ri.se adapted to libcoap and major rewrite Peter van der Stok consu.nosp@m.ltan.nosp@m.cy@va.nosp@m.nder.nosp@m.stok..nosp@m.org on request of Fairhair alliance adapted for libcoap integration Jon Shallow supjp.nosp@m.s-li.nosp@m.bcoap.nosp@m.@jps.nosp@m.hallo.nosp@m.w.co.nosp@m.m

Definition in file oscore.c.